> ## Documentation Index
> Fetch the complete documentation index at: https://docs.safest.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Autenticação (Ingresso)

> Como gerar e renovar tokens para integrar Ingresso Protegido.

# Autenticação (Ingresso)

Para consumir os endpoints de Ingresso Protegido, use `client_id` e `client_secret` fornecidos pela Safest.

## Obter token

```bash theme={null}
curl -X POST https://beta-jackson.safest.com.br/api/seguros/auth/token \
  -H "Content-Type: application/json" \
  -d '{
    "client_id": "abc123def456",
    "client_secret": "super-secret-value"
  }'
```

## Renovar token

```bash theme={null}
curl -X POST https://beta-jackson.safest.com.br/api/seguros/auth/refresh \
  -H "Content-Type: application/json" \
  -d '{
    "refresh_token": "seu_refresh_token"
  }'
```

## Header obrigatório

```bash theme={null}
Authorization: Bearer SEU_ACCESS_TOKEN
```
